## Nebula

**Nebula** is a distributed, scalable, lighting-fast graph database. It is the only solution in the world capable to host graphs with dozens of billions of vertices (nodes) and trillions of edges, while still provides millisecond latency.

**Nebula's** goal is to provide reading, writing, and computing with high concurrency, low latency for super large scale graphs. Nebula is an open source project and we are looking forward to working with the community to popularize and promote the graph database.

As a graph database, **Nebula** has these features
* Symmetrically distributed
* Highly scalable
* Fault tolerant
* Strong data consistency
* SQL-like query language

## How can I get Nebula ##
**Nebula** source code is available here on [`GitHub`](https://github.com/vesoft-inc/nebula). The currently release is version 0.1. Please refer the `Release Notes` here for details. You can also download [`docker` ](https://www.docker.com/get-started)image to try it.
More details on how to get Nebula image click [`Get Started`](https://github.com/vesoft-inc/nebula/blob/master/docs/get-started.md).

## How can I contribute ##
As the team behind **Nebula**, we fully commit to the community and all-in to the open source project. All the core features are and will be implemented in the open source repository.

We also encourage the community to involve the project. There are a few ways you can contribute:

* You can download and try **Nebula**, and provide us feedbacks
* You can submit your feature requirements and bug reports
* You can perfectionate documentations
* You can fix bugs or implement features. More details on how to build the project and submit the Pull Requests click [`how-to-contribute`](https://github.com/vesoft-inc/nebula/blob/master/docs/how-to-contribute.md).

## Licensing ###
**Nebula** is under [Apache 2.0](https://www.apache.org/licenses/LICENSE-2.0) license, so you can freely download, modify, deploy the source code to meet your needs. You can also freely deploy **Nebula** as a back-end service to support your SAAS deployment.

In order to prevent cloud providers monetizing from the project without contributing back, we added [Common Clause 1.0](https://commonsclause.com/) to the project. As mentioned above, we fully commit to the open source community. We would love to hear your thoughts on the licensing model and are willing to make it more suitable for the community.

## Contact
- Please use [`GitHub issue tracker`](https://github.com/vesoft-inc/nebula/issues) for filling bugs or feature requests.
- Join [![](https://img.shields.io/badge/slack-nebula-519dd9.svg)](https://nebulagraph.slack.com/archives/DJQC9P0H5/p1557815158000200).
